Bug 57861

Summary: webkit-patch should print git's stderr when git svn dcommit fail
Product: WebKit Reporter: Hajime Morrita <morrita>
Component: Tools / TestsAssignee: Hajime Morrita <morrita>
Status: REOPENED ---    
Severity: Normal CC: abarth, eric, jberlin, tony
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: PC   
OS: Other   
Bug Depends on: 57913    
Bug Blocks:    
Attachments:
Description Flags
Patch
none
Patch none

Description Hajime Morrita 2011-04-05 10:30:57 PDT
webkit-patch gives no hint when dcommit fail, which makes diagnosis hard.
Comment 1 Hajime Morrita 2011-04-05 10:53:50 PDT
Created attachment 88278 [details]
Patch
Comment 2 Tony Chang 2011-04-05 11:36:42 PDT
Comment on attachment 88278 [details]
Patch

Rather than using isinstance, can we add a ScriptError __str__ method that prints the output?
Comment 3 Hajime Morrita 2011-04-05 13:01:08 PDT
Created attachment 88298 [details]
Patch
Comment 4 Hajime Morrita 2011-04-05 13:02:56 PDT
Hi Tony, thank you for your prompt review!
 
> (From update of attachment 88278 [details])
> Rather than using isinstance, can we add a ScriptError __str__ method that prints the output?
Sure. I updated to do this.
Comment 5 Hajime Morrita 2011-04-05 14:04:26 PDT
Committed r82978: <http://trac.webkit.org/changeset/82978>
Comment 7 Adam Barth 2011-04-05 22:06:28 PDT
I tried fixing this on the bots, but didn't succeed.  We need a python2.5 test environment.
Comment 8 Eric Seidel (no email) 2011-06-18 13:51:35 PDT
Attachment 88298 [details] was posted by a committer and has review+, assigning to Hajime Morita for commit.
Comment 9 Hajime Morrita 2011-06-19 18:21:48 PDT
This patch was landed, but rolled out due to mysterious regression.
I have no idea for dealing with it.
Comment 10 Eric Seidel (no email) 2011-12-21 14:34:15 PST
Attachment 88298 [details] was posted by a committer and has review+, assigning to Hajime Morita for commit.
Comment 11 Hajime Morrita 2011-12-21 20:09:36 PST
Comment on attachment 88298 [details]
Patch

Obsoleting the patch since it has some compatibility problem.
Comment 12 Eric Seidel (no email) 2012-02-10 10:20:07 PST
Comment on attachment 88298 [details]
Patch

Cleared Adam Barth's review+ from obsolete attachment 88298 [details] so that this bug does not appear in http://webkit.org/pending-commit.